/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Interface_fifo.h"

namespace morpheo              {
namespace behavioural          {

  Signal * Interface_fifo::set_signal_valack (string          name     ,
					      direction_t     direction,
					      val_ack_t       val_ack  ,
					      presence_port_t presence_port)
  {
    log_printf(FUNC,Behavioural,"set_signal_valack","Begin");

    Signal * sig = Interface::set_signal (name         ,
					  direction    ,
					  1            ,
					  presence_port);

    // save the ptr
    save_ptr(sig, val_ack);

    log_printf(FUNC,Behavioural,"set_signal_valack","End");

    return sig;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
